Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::MsgMemoryGrp Class Reference

A MsgMemoryGrp that initializes its data using a messagegrp. More...

`#include <memmsg.h>`

Inheritance diagram for sc::MsgMemoryGrp:

[legend]
Collaboration diagram for sc::MsgMemoryGrp:

[legend]
List of all members.

## Public Methods

| MsgMemoryGrp (const Ref< MessageGrp > &msg)
| MsgMemoryGrp (const Ref< KeyVal > &keyval)
| ~MsgMemoryGrp ()
void | set_localsize (size_t localsize)
| Set the size of locally held memory. More...
void | sync ()
| Synchronizes all the nodes. More...

## Protected Attributes

Ref< MessageGrp > | msg_

## Detailed Description

A MsgMemoryGrp that initializes its data using a messagegrp.

## Member Function Documentation

void sc::MsgMemoryGrp::set_localsize | ( | size_t | localsize | ) | `[virtual]`

| Set the size of locally held memory. When memory is accessed using a global offset counting starts at node 0 and proceeds up to node n() - 1. Implements sc::MemoryGrp. Reimplemented in sc::ActiveMsgMemoryGrp.

void sc::MsgMemoryGrp::sync | ( |  | ) | `[virtual]`

| Synchronizes all the nodes. Consider using this when the way you you access memory changes. Implements sc::MemoryGrp. Reimplemented in sc::MTMPIMemoryGrp.

The documentation for this class was generated from the following file:

- memmsg.h